# $Revision: 1.14 $, $Date: 2010/08/24 18:11:13 $
Summary:	Disposable Soft Synth Interface specification
Summary(pl.UTF-8):	Specyfikacja Disposable Soft Synth Interface
Name:		dssi
Version:	1.0.0
Release:	3
License:	LGPL v2.1
Group:		Development/Libraries
Source0:	http://dl.sourceforge.net/dssi/%{name}-%{version}.tar.gz
# Source0-md5:	bc4c50f9f9b3cd13019718266f8f15af
Patch0:		%{name}-qt_test.patch
Patch1:		%{name}-lib64.patch
URL:		http://dssi.sourceforge.net/
BuildRequires:	alsa-lib-devel >= 0.9
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	ladspa-devel >= 1.0
BuildRequires:	liblo-devel >= 0.12
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	qt-devel >= 3.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DSSI (pronounced "dizzy") is an API for audio plugins, with particular
application for software synthesis plugins with native user
interfaces. DSSI is an open specification developed for use in Linux
audio applications, although portable to other platforms. It may be
thought of as LADSPA-for-instruments, or something comparable to VSTi.

DSSI consists of a C language API for use by plugins and hosts, based
on the LADSPA API, and an OSC (Open Sound Control) API for use in user
interface to host communications. The DSSI specification consists of
an RFC which describes the background for the proposal and defines the
OSC part of the specification, and a documented header file which
defines the C API.

%description -l pl.UTF-8
DSSI (wymawiane "dizzy") to API dla wtyczek dźwiękowych z
zastosowaniem szczególnie dla wtyczek syntezy programowej z natywnymi
interfejsami użytkownika. DSSI to otwarta specyfikacja stworzona do
używania w linuksowych aplikacjach dźwiękowych, ale przenośna na inne
platformy. Można ją określić jako LADSPA dla instrumentów lub coś
porównywalnego do VSTi.

DSSI składa się z API języka C do użytku przez wtyczki i hosty, oparte
o API LADSPA oraz API OSC (Open Sound Control) do użytku w
interfejsach użytkownika do komunikacji z hostem. Specyfikacja DSSI
składa się z RFC opisującego tło propozycji i definiującego część OSC
specyfikacji oraz udokumentowanego pliku nagłówkowego definiującego
API C.

%package devel
Summary:	DSSI development files
Summary(pl.UTF-8):	Pliki nagłówkowe DSSI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib-devel >= 0.9
Requires:	ladspa-devel >= 1.0
Obsoletes:	dssi < 1.0.0

%description devel
DSSI development files.

%description devel -l pl.UTF-8
Pliki nagłówkowe DSSI.

%package host-jack
Summary:	A simple JACK/ALSA-sequencer plugin host
Summary(pl.UTF-8):	Prosty host wtyczek sekwencera JACK/ALSA
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Requires:	liblo >= 0.12

%description host-jack
A simple JACK/ALSA-sequencer plugin host.

%description host-jack -l pl.UTF-8
Prosty host wtyczek sekwencera JACK/ALSA.

%package examples
Summary:	Example DSSI plugins
Summary(pl.UTF-8):	Przykładowe wtyczki DSSI
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description examples
Example DSSI plugins.

%description examples -l pl.UTF-8
Przykładowe wtyczki DSSI

%prep
%setup -q
%patch0 -p1
%if "%{_lib}" == "lib64"
%patch1 -p1
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

CFLAGS="$CFLAGS -I%{_includedir}/qt"
CPPFLAGS="$CPPFLAGS -I%{_includedir}/qt"
export QTDIR=%{_prefix}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/dssi/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README doc/TODO doc/*.txt
%attr(755,root,root) %{_bindir}/dssi_osc_send
%attr(755,root,root) %{_bindir}/dssi_osc_update
%dir %{_libdir}/dssi
%{_mandir}/man1/dssi*

%files devel
%defattr(644,root,root,755)
%{_includedir}/dssi.h
%{_pkgconfigdir}/dssi.pc

%files host-jack
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jack-dssi-host
%{_mandir}/man1/jack-dssi-host.*

%files examples
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/karplong
%attr(755,root,root) %{_bindir}/less_trivial_synth
%attr(755,root,root) %{_bindir}/trivial_sampler
%attr(755,root,root) %{_bindir}/trivial_synth
%attr(755,root,root) %{_libdir}/dssi/*.so
%dir %{_libdir}/dssi/less_trivial_synth
%attr(755,root,root) %{_libdir}/dssi/less_trivial_synth/*_qt
%dir %{_libdir}/dssi/trivial_sampler
%attr(755,root,root) %{_libdir}/dssi/trivial_sampler/*_qt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dssi.spec,v $
Revision 1.14  2010/08/24 18:11:13  hawk
- release 3

Revision 1.13  2009/12/15 08:59:57  jajcus
- default DSSI_PATH fixed for the jack host on 64-bit systems
- Release: 2

Revision 1.12  2009/12/06 21:09:51  sparky
- leave __cxx defined, c++ is used now

Revision 1.11  2009/12/06 20:54:16  jajcus
- autotools BRs

Revision 1.10  2009/12/06 20:53:34  jajcus
- broken configure test for qt library removed

Revision 1.9  2009/12/06 20:29:29  jajcus
- qt-devel dependency fixed

Revision 1.8  2009/12/06 19:51:40  jajcus
- Version: 1.0.0
- 'devel' package separated (note: dependent packages must be updated)
- plugin lib dir added to the main package (it is needed by any new plugin)
- examples subpackage (DSSI without any plugins is quite useless)
- name-ver-rel dependencies for subpackages. Not quite needed at the moment,
  but may help a lot in future.

Revision 1.7  2009/11/30 00:14:26  sparky
- BR: pkgconfig

Revision 1.6  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.4  2006/12/26 00:19:55  qboosh
- fixed packaging thinko by separating -host-jack
  (devel shouldn't depend on jack; see README)
- release 2

Revision 1.3  2005/11/26 21:06:26  qboosh
- pl

Revision 1.2  2005/11/25 12:38:08  pluto
- release 1.

Revision 1.1  2005/11/25 10:57:35  pluto
- Disposable Soft Synth Interface.
